#!/bin/sh
fbdate=`grep -m1 '^fbdate=' prepare-fbturbo.sh | cut -d '=' -f 2-`
fbmod=`grep -m1 '^fbmod=' prepare-fbturbo.sh | cut -d '=' -f 2-`
fbname=`grep -m1 '^fbname=' prepare-fbturbo.sh | cut -d '=' -f 2-`
fbsuffix=`cat xserver-xorg-video-fbturbo-1.${fbdate}/debian/changelog | grep -m1 -E '^xserver-xorg-video-fbturbo' | cut -d '(' -f 2 | cut -d ')' -f 1 | cut -d '-' -f 2-`

model=`cat /proc/cpuinfo | grep -E 'Hardware.*:' | cut -d ':' -f 2-`

if [ -e /sys/firmware/devicetree/base/model ]; then
  model=`cat /sys/firmware/devicetree/base/model`
fi

model=${model/Hardkernel /}
model=${model/LeMaker /}
model=${model/Allwinner /}
model=`echo ${model} | tr -d ' '`

if [ "${model:0:6}" = "Banana" -o "${model:0:5}" = "sun7i" ]; then
  fbmod=bpi
elif [ "${model:0:9}" = "Raspberry" -o "${model:0:7}" = "BCM2835" ]; then
  fbmod=rpi
elif [ "${model:0:9}" = "ODROID-C2" ]; then
  fbmod=c2
elif [ "${model:0:9}" = "ODROID-N1" ]; then
  fbmod=n1
fi

if echo ${fbsuffix} | grep -q '-' ; then
  fbsuffix="-`echo ${fbsuffix} |  cut -d '-' -f 1`"
else
  fbsuffix=
fi

cd xserver-xorg-video-fbturbo-1.${fbdate}/

debuild -us -uc

cd ..

mkdir -p dbg
mv *-dbg* dbg/ || true

zip ${fbname}-${fbmod}${fbsuffix}-`lsb_release -c -s`-`dpkg --print-architecture`.zip install-fbturbo.sh xserver-xorg-video-fbturbo*.deb

echo OK
